Bug 804120 - Certain code paths put yum in python infinite loop (Eg. some usage of yum --sec-severity).
Certain code paths put yum in python infinite loop (Eg. some usage of yum --s...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.2
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 11:12 EDT by James Antill
Modified: 2014-01-21 01:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 828696 (view as bug list)
Environment:
Last Closed: 2012-06-20 09:53:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2012-03-16 11:12:04 EDT
Description of problem:

Running certain code paths of: yum --security --sec-severity=Critical upgrade result in the plugin running:

'severity' not in notice

...but their was no explicit support for that in the class, and the default way python implements it works like:

1. Can I have element 1.
2. Can I have element 2.
2. Can I have element 3.
2. Can I have element 4.
[...]

...and this will go on forever.

 Quick test, from ipython:

In [2]: import yum.update_md

In [3]: x = yum.update_md.UpdateNotice()

In [4]: 'foo' in x

...fix is a one liner in yum.
Comment 7 errata-xmlrpc 2012-06-20 09:53:58 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0857.html

Note You need to log in before you can comment on or make changes to this bug.